echo off

SET serverName=%1
SET saUser=%2
SET saPwd=%3

SET sql="CREATE DATABASE GSEventLogGathererDB"

isql -S %serverName% -U %saUser% -P %saPwd% -Q %sql%
IF %errorLevel% GTR 0 GOTO lblErrorDBCreate

isql -S %serverName% -U %saUser% -P %saPwd% -i GSEventLogGathererDB_LoadSchema.sql
IF %errorLevel% GTR 0 GOTO lblErrorSchemaLoad

isql -S %serverName% -U %saUser% -P %saPwd% -i GSEventLogGathererDB_SPsCreate.sql
IF %errorLevel% GTR 0 GOTO lblErrorSPsCreate

isql -S %serverName% -U %saUser% -P %saPwd% -i GSEventLogGathererDB_TriggersCreate.sql
IF %errorLevel% GTR 0 GOTO lblErrorTriggersCreate

isql -S %serverName% -U %saUser% -P %saPwd% -i GSEventLogGathererDB_LoadData.sql
IF %errorLevel% GTR 0 GOTO lblErrorLoadData


GOTO lblNoErrors

:lblErrorDBCreate
ECHO Error creating database
GOTO lblExit

:lblErrorSchemaLoad
ECHO Error loading schema
GOTO lblExit

:lblErrorSPsCreate
ECHO Error loading stored procedures
GOTO lblExit

:lblErrorTriggersCreate
ECHO Error loading triggers
GOTO lblExit

:lblErrorLoadData
ECHO Error loading data
GOTO lblExit

:lblNoErrors
ECHO DB created -- No errors

:lblExit